Skip to main content
POST

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Body

application/json

Find the request parameters to retrieve employment details.

verification_id
string
required

It is the unique ID you create to identify the API request. The maximum character limit is 50. Only alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"ABC00123"

phone
string

It is the phone number of the employee. (conditonal mandatory).

Example:

"9988776655"

pan
string

It is the PAN information of the employee. (conditonal mandatory).

Example:

"AZJPG7110R"

uan
string

It is the unique number assigned to every employee contributing to the Employees' Provident Fund (EPF). (conditonal mandatory).

Example:

"101340612345"

dob
string<date>

It is the date of birth information of the employee. The format is YYYY-MM-DD.Employee date of birth. (conditonal mandatory).

Example:

"1995-11-10"

employee_name
string

It is the name of the employee. (conditonal mandatory).

Example:

"John Doe"

employer_name
string

It is the name of the employer. (conditonal mandatory).

Example:

"Cashfree India Pvt Ltd"

Response

Success response for retreiving employment information.

Success response for retreiving employment information.

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"test_verification_id"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

1358

status
string

It displays the list of status of the API request. Possible values are: SUCCESS EMPLOYMENT_DETAILS_NOT_FOUND

Example:

"SUCCESS"

input
object

It contains the information entered in the API request.

uan_details
object[]

It contains the list of UAN details.

recent_employment_details
object

It contains the recent employment details of the individual.